<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /Users/sdy/AVS/github/avs-device-sdk/ACL/include/ACL/Transport/HTTP2MessageRouter.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_1088b026815130b3cc8e9ac3f4525272.html">include</a></li><li class="navelem"><a class="el" href="dir_ce0d3eda4bb43bdcf8c1c51ff13ee585.html">ACL</a></li><li class="navelem"><a class="el" href="dir_711bc606e725cfd07f3f2b0a5f6ebc00.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">HTTP2MessageRouter.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;<a class="el" href="_attachment_manager_8h_source.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_message_router_8h_source.html">ACL/Transport/MessageRouter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_message_consumer_interface_8h_source.html">ACL/Transport/MessageConsumerInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for HTTP2MessageRouter.h:</div>
<div class="dyncontent">
<div class="center"><img src="_h_t_t_p2_message_router_8h__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_h_t_t_p2_message_router_8h" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_h_t_t_p2_message_router_8h" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_h_t_t_p2_message_router_8h">
<area shape="rect" id="node4" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="1222,179,1423,217"/>
<area shape="rect" id="node27" href="_message_router_8h.html" title="ACL/Transport/MessageRouter.h" alt="" coords="2105,105,2321,131"/>
<area shape="rect" id="node50" href="_message_consumer_interface_8h.html" title="ACL/Transport/MessageConsumer\lInterface.h" alt="" coords="2749,179,2976,217"/>
<area shape="rect" id="node7" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="943,265,1151,304"/>
<area shape="rect" id="node9" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="946,352,1147,391"/>
<area shape="rect" id="node11" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="243,612,445,651"/>
<area shape="rect" id="node14" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="531,439,733,477"/>
<area shape="rect" id="node13" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="94,699,256,737"/>
<area shape="rect" id="node15" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1110,439,1272,477"/>
<area shape="rect" id="node26" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1181,705,1283,731"/>
<area shape="rect" id="node18" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="731,532,877,557"/>
<area shape="rect" id="node20" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="645,699,821,737"/>
<area shape="rect" id="node22" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="911,619,1019,644"/>
<area shape="rect" id="node23" href="_reader_8h.html" title="Reader.h" alt="" coords="621,619,696,644"/>
<area shape="rect" id="node25" href="_writer_8h.html" title="Writer.h" alt="" coords="770,619,838,644"/>
<area shape="rect" id="node21" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="880,785,1056,824"/>
<area shape="rect" id="node28" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="3127,352,3321,391"/>
<area shape="rect" id="node36" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="1967,532,2217,557"/>
<area shape="rect" id="node40" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="1702,525,1893,564"/>
<area shape="rect" id="node43" href="_message_router_interface_8h.html" title="ACL/Transport/MessageRouter\lInterface.h" alt="" coords="2251,265,2456,304"/>
<area shape="rect" id="node46" href="_message_router_observer_interface_8h.html" title="ACL/Transport/MessageRouter\lObserverInterface.h" alt="" coords="2699,352,2904,391"/>
<area shape="rect" id="node48" href="_transport_interface_8h.html" title="ACL/Transport/TransportInterface.h" alt="" coords="2219,445,2450,471"/>
<area shape="rect" id="node49" href="_transport_observer_interface_8h.html" title="ACL/Transport/TransportObserver\lInterface.h" alt="" coords="2402,352,2625,391"/>
<area shape="rect" id="node31" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="3177,439,3372,477"/>
<area shape="rect" id="node33" href="_task_queue_8h.html" title="AVSCommon/Utils/Threading\l/TaskQueue.h" alt="" coords="3311,525,3505,564"/>
<area shape="rect" id="node38" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="2251,612,2498,651"/>
<area shape="rect" id="node41" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="1702,612,1893,651"/>
<area shape="rect" id="node44" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2241,525,2429,564"/>
<area shape="rect" id="node45" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="1934,352,2125,391"/>
<area shape="rect" id="node47" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="2627,439,2875,477"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_h_t_t_p2_message_router_8h__dep__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_h_t_t_p2_message_router_8hdep" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_h_t_t_p2_message_router_8hdep" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_a_c_l_2include_2_a_c_l_2_transport_2_h_t_t_p2_message_router_8hdep">
<area shape="rect" id="node2" href="_h_t_t_p2_message_router_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/ACL/src\l/Transport/HTTP2MessageRouter.cpp" alt="" coords="5,112,251,164"/>
<area shape="rect" id="node3" href="_default_client_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Application\lUtilities/DefaultClient/src\l/DefaultClient.cpp" alt="" coords="276,105,459,171"/>
<area shape="rect" id="node4" href="_alerts_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlertsIntegrationTest.cpp" alt="" coords="482,112,679,164"/>
<area shape="rect" id="node5" href="_alexa_communications_library_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlexaCommunicationsLibrary\lTest.cpp" alt="" coords="703,105,927,171"/>
<area shape="rect" id="node6" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="951,105,1191,171"/>
<area shape="rect" id="node7" href="_audio_input_processor_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="1215,105,1452,171"/>
<area shape="rect" id="node8" href="_audio_player_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AudioPlayerIntegrationTest.cpp" alt="" coords="1476,112,1711,164"/>
<area shape="rect" id="node9" href="_network_integration_tests_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/NetworkIntegrationTests.cpp" alt="" coords="1735,112,1954,164"/>
<area shape="rect" id="node10" href="_server_disconnect_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/ServerDisconnectIntegration\lTest.cpp" alt="" coords="1978,105,2196,171"/>
<area shape="rect" id="node11" href="_speech_synthesizer_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="2220,105,2448,171"/>
</map>
</div>
</div>
<p><a href="_h_t_t_p2_message_router_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html">alexaClientSDK::acl::HTTP2MessageRouter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
